Commet
  • Pricing
Log InTry out
Create webhook endpoint POSTDelete webhook endpoint DELETEGet webhook endpoint GETList webhook endpoints GETTest webhook endpoint POSTUpdate webhook endpoint PUT
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

Get webhook endpoint

Retrieve a webhook endpoint by its public ID.

Delete webhook endpoint DELETE

Permanently delete a webhook endpoint.

List webhook endpoints GET

List webhook endpoints with cursor-based pagination.

GET
/webhooks/{id}

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

curl -X GET "https://commet.co/api/v1/webhooks/string"

Retrieve a webhook endpoint by its public ID.

Webhook endpoint public ID

{
  "success": true,
  "data": {
    "object": "webhook",
    "livemode": true,
    "id": "string",
    "url": "http://example.com",
    "events": [
      "string"
    ],
    "description": "string",
    "isActive": true,



{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}
"apiVersion": "string",
"createdAt": "2019-08-24T14:15:22Z"
}
}